function [xsl,ysl,nsl]=linesl(nst,msl,xa,ya,xt,yt)
%
%Function LINESL evaluates :
%    The coordinates of the end points of the constant 
%    elements on straight line segment using its end coordinates
%    xsl  : x coordinate of the end points of the element
%    ysl  : y coordinate of the end points of the element 

nt=0;  

for ii=1:nst
nt=msl(ii)+nt;
end
nt=nt+nst;  
xsl=zeros(1,nt);
ysl=zeros(1,nt);

nsl=0;  %  total number of points on line supports/line loads

for ii=1:nst
    
    dx=xt(ii)-xa(ii);
    dy=yt(ii)-ya(ii);
    ds=sqrt(dx^2+dy^2);

    for ij=1:msl(ii)+1
        nsl=nsl+1;
        xsl(nsl)=xa(ii)+dx/msl(ii)*(ij-1);
        ysl(nsl)=ya(ii)+dy/msl(ii)*(ij-1);
    end
end
