function [code]=checkdist(nb,xb,yb,x0,y0,dist)
%
%Function CHECKDIST :
%    Checks if the distance between a domain point and the boundary 
%    is greater or less/equal than 'dist'
%    code : 1. the distance of the domain point is greater than 'dist'
%           2. the distance of the domain point is less or equal 'dist'

mindis=100000;   % arbitrary  value for the initiation
for ij=1:nb
    dis =((xb(ij)-x0)^2+(yb(ij)-y0)^2)^0.5;
    if dis < mindis
        mindis=dis;
    end
end
%mindis : the minimum distance between the point and the boundary
code=1;
if (mindis-dist)<0
    code=2;  % mindis < dist
end

