function plotplate

% Function PLOTPLATE plots the geometry of the plate, the nodal domain points,
% the nodal points of line and point supports and the nodal points of line 
% and point loads

global xl yl xb yb xin yin xsl ysl xps yps xll yll xcl ycl nst nps nlt ncl 

plot(xl,yl,'m+',xb,yb,'b.',xin,yin,'ro');
hold on 

if nst ~= 0
     plot( xsl,ysl,'k+');
end
if nps  ~= 0
     plot(xps,yps,'ks');
end
if nlt ~= 0
     plot( xll,yll,'b+');
end
if ncl ~= 0
     plot( xcl,ycl,'bx');
end
hold off


