function [xl,yl]=rectline(xj,yj,xk,yk,ne)
%
%Function RECTLINE evaluates :
%    The coordinates of the  end points of the constant
%    elements on straight line segment using its end coordinates
%    xl  : x coordinate of the end points of the boundary elements
%    yl  : y coordinate of the end points of the boundary elements

dx=xk-xj;
dy=yk-yj;
xl=zeros(ne,1);
yl=zeros(ne,1);
for j=1:ne
    xl(j)=xj+(j-1)*dx/ne;
    yl(j)=yj+(j-1)*dy/ne;
end


